:root {
    --padding-y-mobile: 3rem;
    --padding-x-mobile: 1rem;
    --padding-y-tablet: calc(var(--padding-y-mobile) * (4/3));
    --padding-x-tablet: calc(var(--padding-x-mobile) * 3);
    --gap-mobile: 3rem;
    --gap-tablet: 4rem;
    --sand-1-color: #EBE9E1;
    --sand-2-color: #B7B3A8;
    --sand-99-color: #FCFBF8;
}

html,
body {
    height: 100%;
    margin: 0;
}

.SectionPage-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--section-background-color);
    gap: var(--gap-mobile);
    padding: var(--padding-y-mobile) var(--padding-x-mobile);

    &.SectionPage-section--sand-1 {
        background-color: var(--sand-1-color);
    }

    &.SectionPage-section--sand-99 {
        background-color: var(--sand-99-color);
    }

    &.SectionPage-section--sand-2 {
        background-color: var(--sand-2-color);
    }

    @media (min-width: 768px) {
        padding: var(--padding-y-tablet) var(--padding-x-tablet);
        gap: var(--gap-tablet);
    }

    &:first-of-type {
        padding-top: 1.5rem;

        @media (min-width: 768px) {
            padding-top: 3rem;
        }
    }

    &.no-padding {
        padding: 0;
    }

    .SectionPage-content-container {
        width: 100%;
        max-width: var(--container-max-width, none);
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: var(--gap-mobile);

        @media (min-width: 768px) {
            gap: var(--gap-tablet);
        }

        &.w-720 {
            --container-max-width: 720px;
        }

        &.w-960 {
            --container-max-width: 960px;
        }

        &.w-1280 {
            --container-max-width: 1280px;
        }

        .block {
            width: 100%;
        }
    }
}
